<?php

// -----------------------------------------------------//
// EscoitarGZtags                                       //
// hack para integrar googlemaps en Loudblog	        //
// Version Beta0.6 (08-08-2006)							// 
// http://www.escoitar.org								//
//                                                  	//
// Written by VHPhacklab (www.vhplab.net) 			 	//
// in association with Longina (www.longina.com) & Berio//
// (www.alg-a.com/org_berio)							//
//                                              		//
// Released under the Gnu General Public License   		//
// http://www.gnu.org/copyleft/gpl.html            		//
//                                                 		//
// Disfrutadeo! para calquera comentario sobre o cdigo	//
// non duvidedes en escribir a horaciogd@vhplab.net		//
// -----------------------------------------------------//
/*
$GLOBALS['audiopath']
$GLOBALS['uploadpath']
$settings['url']
*/
//--------------------------------------------------------------------
//  IMG FUNCTIONS
//-------------------------------------------------------------------- 

//-------------------------------------
function checkimgsuffix ($file) {
$suffix = strtoupper(strrchr($file, "."));
if (
    ($suffix == ".JPG") OR
    ($suffix == ".PNG") OR
    ($suffix == ".GIF") OR
    ($suffix == ".TIF") OR
    ($suffix == ".BMP") OR
    ($suffix == ".RAW")
    ) { 
    return true; 
} else { return false; }
}
//-------------------------------------
function freshimgname ($suffix, $prefix) {
	//build a new filename for the audio file
	if ((!isset($suffix)) OR (trim($suffix) == "")) { 
		$suffix = ".jpg";
	}
	$daysec = 10000 + date("G")*3600 + date("i")*60 + date("s");
	$filename = $prefix."-".date("Y-m-d-").$daysec.$suffix;
	return $filename;
}
//-------------------------------------
function reduceFoto ($nombre, $ancho, $alto, $prefix) {

	//Separamos la extension del nombre
	$tipo = substr($nombre,-3);
	$nombreSimple = substr($nombre, 0, -4);
	$base = "../upload/imaxes/";

	//creamos una imagen en funcion del tipo de imagen que recibimos
	switch ($tipo) {
		case "jpg":
			$im1=imagecreatefromjpeg("../upload/imaxes/".$nombre);
			break;
		case "gif":
			$im1=imagecreatefromgif("../upload/imaxes/".$nombre);
			break;
		case "png":
			$im1=imagecreatefrompng("../upload/imaxes/".$nombre);
			break;
		default:
			return;  
			//o mostrar predeterminada
	}

	$tam = GetImageSize("../upload/imaxes/".$nombre);
	$ancho_imagen = $tam[0];
	$alto_imagen = $tam[1];

	$imageprop = 1;
	$imageproph = 1;

	if ($ancho_imagen > $ancho) $imageprop=$ancho/$ancho_imagen;
	if ($alto_imagen > $alto) $imageproph=$alto/$alto_imagen;
	if ( $imageprop>$imageproph) $imageprop=$imageproph;


	$imagen_hor_tam= ceil($ancho_imagen*$imageprop);
	$imagen_ver_tam=ceil($alto_imagen*$imageprop);


	$im=imagecreate($imagen_hor_tam, $imagen_ver_tam);
	ImageInterlace($im,1);
	imagecopyresized($im, $im1, 0, 0, 0, 0, $imagen_hor_tam, $imagen_ver_tam, ImageSX($im1), ImageSY($im1));

	if ($im) {
		Imagejpeg($im, "../upload/imaxes/".$prefix."".$nombreSimple.".jpg");
		return $prefix."".$nombreSimple.".jpg";
	}

}
//--------------------------------------------------------------------
//  GOOGLEMAP TAGS
//-------------------------------------------------------------------- 

//-------------------------------------
function googlemapkeygz ($content) {
//devuelve la clave de googlemaps
	return googlemapkey ();
}
//-------------------------------------
function extrajs ($content) {
	global $settings;
	//devuelve los scripts de las extra js aplications
	return "
	<script type=\"text/javascript\" src=\"".$settings['url']."/extras/swfobject.js\"></script>
	<script type=\"text/javascript\" src=\"".$settings['url']."/extras/overlib_mini.js\"></script>\n
	<link rel=\"stylesheet\" href=\"".$settings['url']."/extras/lightbox/lightbox.css\" type=\"text/css\" media=\"screen\">
	<script type=\"text/javascript\" src=\"".$settings['url']."/extras/lightbox/prototype.js\"></script>
	<script type=\"text/javascript\" src=\"".$settings['url']."/extras/lightbox/scriptaculous.js?load=effects\"></script>
	<script type=\"text/javascript\" src=\"".$settings['url']."/extras/lightbox/lightbox.js\"></script>
	<!--
	".$GLOBALS['audiopath']."
	".$GLOBALS['uploadpath']."
	".$settings['url']."
	-->\n";
}
//--------------------------------------------------------------------
//  XML TAGS
//-------------------------------------------------------------------- 
//----LEER BD Y ESCRIBIR XML-----------
//-------------------------------------
function read_write($condiciones, $limit, $xml) {
	
	global $settings;
	//Buscamos los comentarios que cumplen las condiciones limitando el numero de resultados a un total de 200 (probablemente tambien sera necesario que esten ordenados empezando por el mas reciente)
    $dosql = "SELECT * FROM ".$GLOBALS['prefix']."lb_comments
              WHERE ".$condiciones."
              LIMIT 0 , ".$limit;
    $result = $GLOBALS['lbdata']->GetArray($dosql);
    $rowcount = count($result);
    
    //Almacenamos los datos de la BD en un documento xml
    // si logramos crear un documento para escribir en el 
	if ($documento = fopen($xml, "w")){
		//comenzamos a almacenar el contenido del documento html en la variable texto
		// Cabecera
		$texto = "<markers>\n";
		//convertimos en Markers los comentarios seleccionados de la BD
		for ($i=0; $i<$rowcount; $i++) {
			//almacenamos los datos le la tabla comentarios en variables para poder utilizarlos en el documento XML
			$id = $result[$i]['id'];
			$autor = htmlspecialchars ($result[$i]['name']);
			$web = $result[$i]['web'];
			$webName = substr($web, 7);
			$lat = $result[$i]['latitud'];
			$long = $result[$i]['longitud'];
			$mensaje = htmlspecialchars ($result[$i]['message_input']);
			$hora = $result[$i]['hora_rec'];
			$data = $result[$i]['data_rec'];
			$swf = $result[$i]['audio_file'];
			$img = $result[$i]['img_file'];
			$categoria = $result[$i]['idcategoria'];
			//para cada comentario alacenado en la tabla creamos un marcador con los datos guardados en sus atributos
			$texto .= "<marker id=\"".$id."\" lat=\"".$lat."\" lng=\"".$long."\" categoria=\"".$categoria."\" arquivo=\"".$settings['url']."/audio/".$swf."\" ";
			if ($result[$i]['img_file'] != null) {
				$texto .= "img=\"".$img."\" ";
			}	
			$texto .= "texto=\"".$mensaje."\" autor=\"".$autor."\" urlweb=\"".$web."\" web=\"".$webName."\" hora=\"".$hora."\" fecha=\"".$data."\">\n";
			$texto .= "</marker>\n";
		}
		$texto = $texto."</markers>\n";
		//escribimos en el documento el contenido de la variable texto
		fwrite($documento, $texto);
	}
	// cerramos el documento
	fclose($documento);
}
//--------------------------------------------------------------------
//  FORM TAGS
//-------------------------------------------------------------------- 
//-----FORMULARIO BUSCASONS------------
//-------------------------------------
function area_buscasons($content) {
	$condiciones = "";
	//Si el campo oculto buscasonsSubmit esta establecido, entonces estamos enviando datos y debemos escribir el documento xml que contendra el resultado de la busqueda
	if (isset($_POST['buscasonsSubmit'])) {
	
		//establecemos las condiciones de la seleccion en la BD
		
		//Si esta establecido que provincia buscamos solo las entradas de la BD que con la misma idprovincia
		$condiciones = "";
		if ((isset($_POST['provincias'])) AND ($_POST['provincias'] != 0)){
			$condiciones .= "idprovincia = '".$_POST['provincias']."'";
		//Si no cualquiera cuya idprovincia sea distinto de 0
		} else {
			$condiciones .= "idprovincia != '0'";
		}
		
		//Si esta establecido que comarca buscamos solo las entradas de la BD que con la misma idcomarca
		if ((isset($_POST['comarcas'])) AND ($_POST['comarcas'] != 0)){
			$condiciones .= " AND idcomarca = '".$_POST['comarcas']."' ";
		}
		
		//Si esta establecido que categoria buscamos solo las entradas de la BD que con la misma idcategoria
		if ((isset($_POST['categorias'])) AND ($_POST['categorias'] != 0)){
			$condiciones .= " AND idcategoria = '".$_POST['categorias']."' ";
		}
		
		//Si esta establecida unha clave de busqueda y su longitud es mayor que 0, buscamos solo las entradas de la BD que tengan esa clave en message_input
		if ((isset($_POST['claveBusqueda'])) AND (strlen($_POST['claveBusqueda']) != 0)){
			$condiciones .= " AND MATCH(datos_busqueda) AGAINST('".$_POST['claveBusqueda']."')";			
		}
		
		$condiciones .= " AND validado = '2'";
		
    	//Almacenamos los datos de la BD en un documento xml
    	read_write($condiciones, "100", "sonsGZ.xml");
    }
    $return = "<form name=\"formulario\" method=\"post\" action=\"index.php?\" enctype=\"multipart/form-data\">\n";
    $return .= fullparse (stripcontainer($content));
    $return .= "</form>\n";
    $return .= "<br>".$condiciones;
	return $return;
}
//-----GOOGLEMAP-----------------------
//-------------------------------------
function sound_map($content) {
	global $settings;
	global $arrayIdcategorias;	
	//recojemos los atributos de la etiqueta, si estan definidos se los pasamos a sus correspondientes variables si no tomamos valores por defecto
	//ancho, alto, lat, long, zoom, clase, xml (buscasons)
	$att = getattributes($content);
	
	//ATRIBUTODS DE LA ETIQUETA------------------- almacenamos en una variable la etiqueta html apropiada
	$id = default_at($att, 'id', 'map');
	/*almacenamos en una variable $mapScript la etiqueta html apropiada y el
	script que generara el mapa. En funcion de los datos que poseamos este 
	script sera diferente*/
    $mapScript = "<div id=\"".$id."\" name=\"".$id."\" style=\"width: ".default_at($att, 'ancho', 550)."px; height: ".default_at($att, 'alto', 450)."px\"></div>\n";
    
    //ATRIBUTODS DEL GOOHGLEMAP-------------------
    if (!isset($att['clase'])) {
        $clase = "G_MAP_TYPE";
    } else {
    	if ($att['clase'] == "g_hybrid_type") {
        	$clase = "G_HYBRID_TYPE";
    	} elseif ($att['clase'] == "g_satellite_type") {
        	$clase = "G_SATELLITE_TYPE";
    	} else {
        	$clase = "G_MAP_TYPE";
    	}
    }
    
    //abrimos la etiqueta script
    $mapScript .= "<script type=\"text/javascript\">\n//<![CDATA[\n";
    //almacenamos la fecha y la hora de envio en una variable javascript para mostrarlas en la ventana del marcador
    $mapScript .= "fecha = new Date();\n";
    //iniciamos el script que genera el mapa con un condicional if (brouser is compatible)
	$mapScript .= "if (GBrowserIsCompatible()) {\n";
	//almacenamos en la variable el fragmento de script que genera el array de iconos
    $mapScript .= "
    // Creamos los icomos como elementos de un Array
    var conxunto_iconos = new Array();
    for (var i = 0; i < ".count($arrayIdcategorias)."; i++) {
	conxunto_iconos[arrayIdcategorias[i]] = new GIcon();
	conxunto_iconos[arrayIdcategorias[i]].image = \"".$settings['url']."/loudblog/custom/templates/".$settings['template']."/icono\" + arrayIdcategorias[i] + \".png\";
	conxunto_iconos[arrayIdcategorias[i]].shadow = \"".$settings['url']."/loudblog/custom/templates/".$settings['template']."/shadow.png\";
	conxunto_iconos[arrayIdcategorias[i]].iconSize = new GSize(12, 20);
	conxunto_iconos[arrayIdcategorias[i]].shadowSize = new GSize(22, 20);
	conxunto_iconos[arrayIdcategorias[i]].iconAnchor = new GPoint(6, 20);
	conxunto_iconos[arrayIdcategorias[i]].infoWindowAnchor = new GPoint(5, 1);
    }\n";
    //almacenamos en la variable el fragmento de script que genera el mapa
    $mapScript .= "
    // create the map
    var map = new GMap(document.getElementById(\"".$id."\"));
    map.addControl(new GLargeMapControl());
    map.addControl(new GMapTypeControl());
    map.centerAndZoom(new GPoint(".default_at($att, 'lat', -8.72687816619873).",".default_at($att, 'lonx', 42.23302960453305)."), ".default_at($att, 'zoom', 8).");
    map.setMapType(".$clase.");\n";
    //almacenamos en la variable el fragmento de script que permite engadir marcadores
    
    //comprueba si hemos seleccionado una determinada categoria y si es asi escoge el documento xml apropiado
    if ((isset($_GET['cat'])) && (isset($att['global']))) {
        if ($att['global'] == "false") {
        	$att['xml'] = $settings['url']."/xml/cat".getcategoryidshort($_GET['cat']).".xml";
    	}
    }
      
    //DOCUMENTO DEL QUE SE RECOJEN LOS DATOS------
    if (!isset($att['xml'])) {
        //mapa sin marcadores
        $readData = "";
    } else {
    	if ($att['xml']=="buscasons") {
    		//cuando el atributo xml es buscasons entonces el mapa recoge o bien sonsGZ.xml si ya se ha buscado o ultimosSons.xml si todavia no se ha buscado
			if (isset($_POST['buscasonsSubmit'])) {
				//Si buscasonsSubmit esta establecido, entonces ya se ha actualizado el documento xml que contiene el resultado de la busqueda, recojemos los datos de sonsGZ.xml
				$xml = $settings['url']."/sonsGZ.xml";
			} else {
				// si no se han enviado todavia los datos del formulario de busqueda mostramos los ultimos comentarios subidos
				$xml = $settings['url']."/ultimosSons.xml";
			}
    	} else {
        	$xml = $att['xml'];
    	}
    	//almacenamos en una variable el fragmento de script que hace la lectura de los datos
    	$mapScript .= "
    // Read the data from example.xml
    //recollemos nuha variable todos os marcadores
    var gmarkers = [];
    var htmls = [];
    var sonsurl = [];

    var request = GXmlHttp.create();
    request.open(\"GET\", \"".$xml."\", true);
    request.onreadystatechange = function() {
    	if (request.readyState == 4) {
    		var xmlDoc = request.responseXML;
    		// obtain the array of markers and loop through it
    		var markers = xmlDoc.documentElement.getElementsByTagName(\"marker\");
          
    		for (var i = 0; i < markers.length; i++) {
    			// obtain the attribues of each marker
    			var id = parseFloat(markers[i].getAttribute(\"id\"));
    			var lat = parseFloat(markers[i].getAttribute(\"lat\"));
    			var lng = parseFloat(markers[i].getAttribute(\"lng\"));
    			var cat = parseFloat(markers[i].getAttribute(\"categoria\"));
    			var son = markers[i].getAttribute(\"arquivo\");
    			var weburl = markers[i].getAttribute(\"urlweb\");
            
    			var html = \"<div style='width:200px'>\";
    			html += \"<div id='player' style='margin-bottom: 5px;'></div>\";
    			html += \"<span class='windowText'>\"
    			html += markers[i].getAttribute(\"texto\");
    			html += \"</span>\";
    			if (markers[i].getAttribute(\"img\")) {
    				html += \"<br><br><a href='".$settings['url']."/upload/imaxes/\";
    				html += markers[i].getAttribute(\"img\");
    				html += \"' rel='lightbox[titulo]'><img src='".$settings['url']."/upload/imaxes/mini_\";
    				html += markers[i].getAttribute(\"img\");
    				html += \"' border='0' height='60'></a>\"
    			}
    			html += \"<br>\";
    			html += \"<b class='windowBlack'>\";
    			html += markers[i].getAttribute(\"autor\");
    			html += \"</b>&nbsp;&nbsp;&nbsp;\";
    			if (weburl.length>4) {
    				html += \"<a class='window' target='_blank' href='\";
    				html += markers[i].getAttribute(\"urlweb\");
    				html += \"'>\";
    				html += markers[i].getAttribute(\"web\");
    				html += \"</a><br>\";
    			}
    			html += \"<span class='windowRight'><b>as \";
    			html += markers[i].getAttribute(\"hora\");
    			html += \" do \";
    			html += markers[i].getAttribute(\"fecha\");
    			html += \"</b></span><br>\";
    			html += \"<br>\";
    			html += \"</div>\";

    			//asignamos el icono que le corresponde a su categoria
    			var icono_categoria = conxunto_iconos[cat];
    			var point = new GPoint(lat,lng);

    			// create the marker
    			var marker = createMarker(point, html, icono_categoria, son);
    			map.addOverlay(marker);
    			//na posicion i do array gmarkers recollemos o marcador
    			gmarkers[id] = marker;
    			htmls[id] = html;
    			sonsurl[id] = son;
    		}
    	}
    };
    request.send(null);";
    }
    //almacenamos en una variable el fragmento de script que genera la funcion myclick(i)
    $mapScript .= "
    // This function picks up the click and opens the corresponding info window
    function myclick(i) {
    	gmarkers[i].openInfoWindowHtml(htmls[i]);
    	var fo = new FlashObject(\"".$settings['url']."/loudblog/custom/templates/".$settings['template']."/preview-player-k.swf\", \"player_x\", \"31\", \"15\", \"6\", \"#FFFFFF\");    	
    	fo.addVariable(\"url\", sonsurl[i]);
    	fo.addVariable(\"autostart\", \"1\");
    	fo.write(\"player\");
    	initLightbox();
    }";
	//cerramos el condicional y el script
	$mapScript .= "\n} else {
    alert(\"Sorry, the Google Maps API is not compatible with this browser\");\n}\n//]]>\n</script>";
    return $mapScript;
}
//-----CLAVE BUSQUEDAS-----------------
//-------------------------------------
function inputclave($content) {
	$return = "<input type=\"text\" name=\"claveBusqueda\" id=\"claveBusqueda\" value=\"\">";
	return $return;
}
//-----BOTON BUSQUEDAS-----------------
//-------------------------------------
function buttonmap($content) {
	$return = "<input type=\"hidden\" name=\"buscasonsSubmit\" id=\"buscasonsSubmit\" value=\"true\" >\n";
	$return .= "<input type=\"submit\" value=\"".bla2 ("boton_procura")."\" />\n";
	return $return;
}
//-----COORDENADAS---------------------
//-------------------------------------
//devuelve la entrada del campo latitud
function inputlat ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	if (isset($_POST['lat'])) {
    	$value = trim(stripslashes($_POST['lat']));
	} else { 
		$value = default_at($att, 'selecionado', '');
	}
	return "<input type=\"text\" name=\"lat\" id=\"lat\" value=\"".$value."\" />";
}
//-------------------------------------
//devuelve la entrada del campo longitud
function inputlong ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	if (isset($_POST['lonx'])) {
    	$value = trim(stripslashes($_POST['lonx'])); 
	} else { 
		$value = default_at($att, 'selecionado', '');
	}
	return "<input type=\"text\" name=\"lonx\" id=\"lonx\" value=\"".$value."\" />";
}
//-----HORA----------------------------
//-------------------------------------
//devuelve la entrada del menu de seleccion horas
function selecthour ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"horas\" id=\"horas\"><option value=\"\">&nbsp;--</option>";
	for ($i=0; $i<24; $i++) {
		//abrimos el elemento opcion
		$menuHtml .= "<option ";
	  	//esto sirve para anhadir un cero delante del valor i y tener horas de tipo 00, 01, 02...
	  	$estaHora = "".$i;
		if (strlen($estaHora) == 1) {
			$estaHora = "0".$estaHora;
		}
		//si esta definida la hora y coincide con la actual la marcamos como seleccionada
      	if ( (isset($_POST['horas'])) && ($_POST['horas'] == $estaHora) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] == $estaHora) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	}
		//anhadimos el valor de la hora en value y text y cerramos el elemento opcion
	  	$menuHtml .= "value=\"".$estaHora."\">&nbsp;".$estaHora."&nbsp;&nbsp;</option>";
	}
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-------------------------------------
//devuelve la entrada del menu de seleccion cuartos de hora
function selectcuarter ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"cuartos\" id=\"cuartos\"><option value=\"\">&nbsp;--</option>";
	//establecemos las opciones (cuartos) que contendra en menu de seleccion
	$arrayCuartos = array ("--", "00", "15", "30", "45");
	for ($i=1; $i<5; $i++) {
		//abrimos el elemento opcion
		$menuHtml .= "<option ";
	  	//si esta definido el cuarto y coincide con el actual la marcamos como seleccionada
      	if ( (isset($_POST['cuartos'])) && ($_POST['cuartos'] == $arrayCuartos[$i]) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] == $arrayCuartos[$i]) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	}
	  	//anhadimos el valor del mes en value y text y cerramos el elemento opcion
	  	$menuHtml .= "value=\"".$arrayCuartos[$i]."\">&nbsp;".$arrayCuartos[$i]."&nbsp;&nbsp;</option>";
	 }
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-----FECHA---------------------------
//-------------------------------------
//devuelve la entrada del menu de seleccion meses
function selectmonth ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"meses\" id=\"meses\" onchange=\"cambiaMes()\"><option value=\"\">&nbsp;--</option>";
	//establecemos las opciones (meses) que contendra en menu de seleccion
	$arrayMeses = array ("--", "Xaneiro", "Febreiro", "Marzo", "Abril", "Maio", "Xu&ntilde;o", "Xullo", "Agosto", "Setembro", "Outubro", "Novembro", "Decembro");
	for ($i=1; $i<13; $i++) {
		//abrimos el elemento opcion
		$menuHtml .= "<option "; 
	  	//si esta definido el mes y coincide con el actual la marcamos como seleccionada
      	if ( (isset($_POST['meses'])) && ($_POST['meses'] == $i) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] == $i) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	}
	  	//anhadimos el valor del mes en value y text y cerramos el elemento opcion
	  	$menuHtml .= "value=\"".$i."\">&nbsp;".$arrayMeses[$i]."&nbsp;</option>";
	}
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-------------------------------------
//devuelve la entrada del menu de seleccion dias
function selectday ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"dias\" id=\"dias\"><option value=\"\">&nbsp;--</option>";
	for ($i=1; $i<32; $i++) {
		//abrimos el elemento opcion
		$menuHtml .= "<option ";
	  	//esto sirve para anhadir un cero delante del valor i y tener horas de tipo 00, 01, 02...
	  	$esteDia = "".$i;
		if (strlen($esteDia) == 1) {
			$esteDia = "0".$esteDia;
		}
		//si esta definidao el dia y coincide con el actual lo marcamos como seleccionada
      	if ( (isset($_POST['dias'])) && ($_POST['dias'] == $esteDia) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] == $esteDia) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	}
		//anhadimos el valor del dia en value y text y cerramos el elemento opcion
	  	$menuHtml .= "value=\"".$esteDia."\">&nbsp;".$esteDia."&nbsp;&nbsp;</option>";
	}
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-------------------------------------
//devuelve la entrada del menu de seleccion anhos
function selectyear ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"anhos\" id=\"anhos\" onchange=\"cambiaMes()\">";
	for ($i=0; $i<106; $i++) {
		//abrimos el elemento opcion
		$menuHtml .= "<option ";
	  	$esteAnho = 2006 - $i;
		//si esta definido el anho y coincide con el actual lo marcamos como seleccionada
      	if ( (isset($_POST['anhos'])) && ($_POST['anhos'] == $esteAnho) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] == $esteAnho) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	}
		//anhadimos el valor del anho en value y text y cerramos el elemento opcion
	  	$menuHtml .= "value=\"".$esteAnho."\">&nbsp;".$esteAnho."&nbsp;&nbsp;&nbsp;</option>";
	}
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-----PROVINCIAS----------------------
//-------------------------------------
function select_provincia ($content) {

	//recojemos los atributos de la funcion
	$att = getattributes($content);
	
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"provincias\" id=\"provincias\" onchange=\"cambiaProvincia()\">";
	//establecemos las opciones (provincias) que contendra en menu de seleccion
	global $arrayProvincias;
	$provinciaVacia = new lugar;
	$provinciaVacia ->datos(default_at($att, 'texto', '--'), "", "", "", "");
	$arrayProvincias[0] = $provinciaVacia;
	//recojemos la provincia correcta de los datos tomados de la base de datos
	for ($i=0; $i<count($arrayProvincias); $i++) {
		//abrimos el elemento opcion
		$menuHtml .= "<option ";
		//si esta definido el identificador y coincide con la opcion actual, la marcamos como seleccionada
		if ( (isset($_POST['provincias'])) && ($_POST['provincias'] == $i) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] == $i) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	}
		//anhadimos el identificador en value y la provincia en text y cerramos el elemento opcion
		$menuHtml .= "value=\"".$i."\">&nbsp;".$arrayProvincias[$i]->nombre()."&nbsp;&nbsp;</option>";
	}
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-----COMARCAS------------------------
//-------------------------------------
function select_comarca ($content) {
	//leemos las comarcas de el array que esta en arrays.php
	global $arrayComarcas;
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	//inicializamos algunas variables
	$provincia = 0;
	$comarca = 0;
	
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"comarcas\" id=\"comarcas\" onchange=\"cambiaComarca()\"><option value=\"0\">&nbsp;".default_at($att, 'texto', '--')."</option>";
	//leemos el identificador de comarca que le corresponde en los datos recojidos de la base de datos
	
	if ( (isset($_POST['provincias'])) && ($_POST['provincias'] != 0) ) {
		$provincia = $_POST['provincias'];
	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] != 0) ) {
		$provincia = $att['selecionado'];
	}
	if ( (isset($_POST['comarcas'])) && ($_POST['comarcas'] != 0) ) {
		$comarca = $_POST['comarcas'];
	} elseif ( (isset($att['selecionado2'])) && ($att['selecionado2'] != 0) ) {
		$comarca = $att['selecionado2'];
	}
	if ($provincia != 0) {
		$base = 0;
		for ($i=1; $i<$provincia; $i++){
			$base += count ($arrayComarcas[$i]) - 1;
		}
		
		$numeroComarcas = count ($arrayComarcas[$provincia]);
		
    	for($i=1; $i<$numeroComarcas; $i++) {
			//abrimos el elemento opcion
			$menuHtml .= "<option ";
			//si esta definido el identificador y coincide con la opcion actual, la marcamos como seleccionada
			if ($comarca == ($i+$base)) {
      			$menuHtml .= "selected=\"selected\""; 
	  		}
		//anhadimos el identificador en value y text y cerramos el elemento opcion
		$menuHtml .= "value=\"".($i+$base)."\">".$arrayComarcas[$provincia][$i]->nombre()."</option>";
		}
	}
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-----CATEGORIAS----------------------
//-------------------------------------
function select_categoria ($content) {
    //recojemos de arrays.php las opciones (categorias) que contendra en menu de seleccion
	global $arrayCategorias;
	global $arrayIdcategorias;
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	//establecemos el texto de la primera opcion
	$arrayCategorias[0] = default_at($att, 'texto', '--');
	
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"categorias\" id=\"categorias\">";
	//leemos el identificador de la categoria que le corresponde en los datos recojidos de la base de datos
	for ($i=0; $i<count($arrayCategorias); $i++) {
		//abrimos el elemento opcion
		$menuHtml .= "<option ";
		//si esta definido el identificador y coincide con la opcion actual, la marcamos como seleccionada
		if ( (isset($_POST['categorias'])) && ($_POST['categorias'] == $arrayIdcategorias[$i]) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] == $arrayIdcategorias[$i]) ) {
      			$menuHtml .= "selected=\"selected\""; 
	  	}
		//anhadimos el identificador en value y la categoria en text y cerramos el elemento opcion
		$menuHtml .= "value=\"".$arrayIdcategorias[$i]."\">&nbsp;".$arrayCategorias[$i]."&nbsp;&nbsp;</option>";
	}
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-----DETALLES TECNICOS---------------
//-------------------------------------
//devuelve la entrada de texto detalles tecnicos
function input_detalles () {
	//returns the textarea for commentor's message
	if (isset($_POST['detallesTecnicos'])) { 
		$value = trim(stripslashes($_POST['detallesTecnicos'])); 
	} else { $value = "";
	}
	return "<textarea name=\"detallesTecnicos\" id=\"detallesTecnicos\">".$value."</textarea>";
}
//-----ENTRADA DE IMAXES---------------
//-------------------------------------
function input_img ($content) {
	//devolve o campo de entrada para a imaxe
	global $currentid;
	global $postings;
	global $settings;
	if ($settings['img_size'] > 0) {
    	return "<input type=\"file\" name=\"commentimg\" accept=\"image/*\" id=\"commentimg\" />";
	} else {
    	return "<p>Non est&aacute; permitido introducir imaxes</p>";
	}
}
//-----LIMITE DE IMAXES----------------
//-------------------------------------
function imglimit() {
//returns the maximal size of an audio comment (works within postings-loop)
	global $settings;
	if ($settings['img_size'] > 0) {
    	return getmegabyte($settings['img_size']);
	} else {
    	return "";
	}
}
//----- RADIO BUTTON ------------------
//-------------------------------------
function radio_buttom ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	
	//Un atributo prara el nombre del campo
	$campo = default_at($att, 'campo', 'radio_field');
    //Un atributo prara el valor que tome el campo
	$valor = default_at($att, 'valor', 'default');
    //Un atributo prara el texto de la etiqueta
	$label = default_at($att, 'label', 'label');
    //Un atrivuto hacer que quede seleccionado por defecto
	if (!isset($att['selected'])) {
        $selected = false;
    } else {
        $selected = true;
    }
    
    //en funcion de los atributos y de si ya se ha previsualizado el comentario devolvemos el boton de la siguiente manera
    $texto = "<input";
	
	if ( (!isset($_POST[$campo])) && ($selected == true) ) {
		$texto .= " checked=\"checked\""; 
	} else if ( (isset($_POST[$campo])) && ($_POST[$campo] == $valor) ) {
		$texto .=" checked=\"checked\""; 
	}
			
	$texto .= " name=\"".$campo."\" value=\"".$valor."\" id=\"".default_at($att, 'id', 'id')."\" type=\"radio\">";
	return $texto;
}
//----- EXTRA TAGS --------------------
//-------------------------------------
function select_tags ($content) {

	//abrimos el menu de seleccion
	$menuHtml = "<table cellpadding=\"0\" cellspacing=\"0\">\n";
	
	//recojemos de las opciones (categorias) que contendra en menu de seleccion
	global $arrayCategorias;
	
	//para cada categoria ponemor un selector
	for ($i=1; $i<count($arrayCategorias); $i++) {
		
		$menuHtml .= "<tr><td class=\"celdaA\">".$arrayCategorias[$i]."</td>";
		$menuHtml .= "<td class=\"celda\"><input class=\"check\" type=\"checkbox\" name=\"extraTag".$i."\" value=\"".$arrayCategorias[$i]."\" ";
		if (isset($_POST["extraTag".$i])) {
      		$menuHtml .= "checked=\"checked\""; 
	  	}
	  	$menuHtml .= " /></td></tr>\n";
	}
	$menuHtml .= "</table>\n";
	return $menuHtml;
}
//----- BUTTON PREVIEW 2 --------------
//-------------------------------------
function buttonpreview2 () {
//returns the preview button		 onClick=\"return yesno('".bla2("msg_subir")."')\"
	global $settings;
	return "<input type=\"submit\" name=\"commentpreview\" id=\"commentpreview\" value=\"".bla2 ("enviar_son")."\" onclick=\"mostrar('precarga')\"/>
<div id=\"precarga\" style=\"visibility:hidden\">".bla2("msg_subir")."
<img src=\"".$settings['url']."/loudblog/custom/templates/".$settings['template']."/loading.gif\" />
</div> ";
}
//----- BUTTON SEND 2 -----------------
//-------------------------------------
function buttonsend2 () {
	//returns the send button, if all requirements are matched
	if (  (isset($_POST['commentOK'])) AND ($_POST['commentOK'] != "false")  ) { 
    	return "<input type=\"submit\" name=\"commentsubmit\" id=\"commentsubmit\" value=\"".bla2 ("confirmar_envio")."\" />";
	} else { 
		return ""; 
	}
}
//----- BUTTON ATRAS -----------------
//-------------------------------------
function buttonatras () {
//returns the preview button		 
return "<input type=\"submit\" name=\"commentpreview\" id=\"commentpreview\" onClick=\"document.forms.formulario.commentOK.value='false'\" value=\"".bla2 ("hacer_cambios")."\" />";
}

//-----SELECTOR CILICENCIA CC ---------
//-------------------------------------
function select_cc ($content) {

	//recojemos los atributos de la funcion
	$att = getattributes($content);
	
	return "<strong>".default_at($att, 'titulo1', 'Permitir un uso comercial de su obra?')."</strong><br><input";
	
	
	if ( (isset($_POST['commercial'])) && ($_POST['commercial'] == "yes") ) {
		return "checked=\"checked\""; 
	}
			
	return " name=\"commercial\" value=\"yes\" id=\"2-3\" type=\"radio\"> <label for=\"2-3\">".default_at($att, 'texto1', 'Si')."</label><br><input";
			
	if ( (isset($_POST['commercial'])) && ($_POST['commercial'] == "no") ) {
		return "checked=\"checked\""; 
	}		
	
	return " name=\"commercial\" value=\"no\" id=\"2-4\" type=\"radio\"> <label for=\"2-4\">".default_at($att, 'texto2', 'No')."</label><br><br>";
	return "<strong>".default_at($att, 'titulo2', 'Permitir modificaciones de su obra?')."</strong><br><input";
	
	if ( (isset($_POST['derivatives'])) && ($_POST['derivatives'] == "yes") ) {
		return "checked=\"checked\""; 
	}
	return " name=\"derivatives\" value=\"yes\" id=\"3-5\" type=\"radio\"> <label for=\"3-5\">".default_at($att, 'texto3', 'Si')."</label><br><input";
	
	if ( (isset($_POST['derivatives'])) && ($_POST['derivatives'] == "sa") ) {
		return "checked=\"checked\""; 
	}
	return " name=\"derivatives\" value=\"sa\" id=\"3-6\" type=\"radio\"> <label for=\"3-6\">".default_at($att, 'texto4', 'S&iacute;, siempre que se comparta de la misma manera')."</label><br><input";
	
	if ( (isset($_POST['derivatives'])) && ($_POST['derivatives'] == "n") ) {
		return "checked=\"checked\""; 
	}
	return "name=\"derivatives\" value=\"n\" id=\"3-7\" type=\"radio\"> <label for=\"3-7\">".default_at($att, 'texto5', 'No')."</label><br><br>";
	
	return "<a href=\"http://es.creativecommons.org/licencia/\" target=\"_blank\">ms informacin</a><br>";

}
//-----MAPA FORMULARIO-----------------
//-------------------------------------
function form_map($content) {
		global $tempfilename;
		global $tempimgname;
		global $arrayIdcategorias;
		global $settings;
	//recojemos los atributos de la etiqueta, si estan definidos se los pasamos a sus correspondientes variables si no tomamos valores por defecto
	//ancho, alto, lat, long, zoom, clase
	$att = getattributes($content);
	
	//ATRIBUTODS DE LA ETIQUETA------------------- 
	/*almacenamos en una variable $mapScript la etiqueta html apropiada y el
	script que generara el mapa. En funcion de los datos que poseamos este 
	script sera diferente*/
    $mapScript = "<div id=\"formMap\" name=\"formMap\" style=\"width: ".default_at($att, 'ancho', 550)."px; height: ".default_at($att, 'alto', 450)."px\"></div>\n";
    
    //ATRIBUTODS DEL GOOHGLEMAP-------------------
    $lat = default_at($att, 'lat', -8.72687816619873);
    $long = default_at($att, 'lonx', 42.23302960453305);
    $zoom = default_at($att, 'zoom', 8);
    
	if (!isset($att['clase'])) {
        $clase = "G_MAP_TYPE";
    } else {
    	if ($att['clase'] == "g_hybrid_type") {
        	$clase = "G_HYBRID_TYPE";
    	} elseif ($att['clase'] == "g_satellite_type") {
        	$clase = "G_SATELLITE_TYPE";
    	} else {
        	$clase = "G_MAP_TYPE";
    	}
    }

    //abrimos la etiqueta script
    $mapScript .= "<script type=\"text/javascript\">\n//<![CDATA[\n";
    //almacenamos la fecha y la hora de envio en una variable javascript para mostrarlas en la ventana del marcador
    $mapScript .= "fecha = new Date();\n";
    //iniciamos el script que genera el mapa con un condicional if (brouser is compatible)
	$mapScript .= "if (GBrowserIsCompatible()) {\n";
	//almacenamos en la variable el fragmento de script que genera el array de iconos
    $mapScript .= "
    // Creamos los icomos como elementos de un Array
    var conxunto_iconos = new Array();
    for (var i = 0; i < ".count($arrayIdcategorias)."; i++) {
	conxunto_iconos[arrayIdcategorias[i]] = new GIcon();
	conxunto_iconos[arrayIdcategorias[i]].image = \"".$settings['url']."/loudblog/custom/templates/".$settings['template']."/icono\" + arrayIdcategorias[i] + \".png\";
	conxunto_iconos[arrayIdcategorias[i]].shadow = \"".$settings['url']."/loudblog/custom/templates/".$settings['template']."/shadow.png\";
	conxunto_iconos[arrayIdcategorias[i]].iconSize = new GSize(12, 20);
	conxunto_iconos[arrayIdcategorias[i]].shadowSize = new GSize(22, 20);
	conxunto_iconos[arrayIdcategorias[i]].iconAnchor = new GPoint(6, 20);
	conxunto_iconos[arrayIdcategorias[i]].infoWindowAnchor = new GPoint(5, 1);
    }\n";
    //almacenamos en la variable el fragmento de script que genera el mapa
    $mapScript .= "
    // create the map
    var map = new GMap(document.getElementById(\"formMap\"));
    map.addControl(new GLargeMapControl());
    map.addControl(new GMapTypeControl());
    map.centerAndZoom(new GPoint(".$lat.",".$long."), ".$zoom.");
    map.setMapType(".$clase.");\n";
    //almacenamos en la variable el fragmento de script que permite engadir marcadores
    $mapScript .= "
    // creamos el evento para crear nuevos marcadores
    GEvent.addListener(map, \"click\", function(overlay, point){
	map.clearOverlays();
	if (point) {
		map.addOverlay(new GMarker(point));
		map.recenterOrPanToLatLng(point);
		document.forms.formulario.lat.value = point.x;
		document.forms.formulario.lonx.value = point.y;
	}
    });\n";
	//almacenamos en la variable el fragmento de script que genera el marcador del mapa
	if (isset($_POST['commentpreview'])) {
    	$long = trim(stripslashes($_POST['lonx']));
    	$lat = trim(stripslashes($_POST['lat']));
    	$message = trim(stripslashes($_POST['commentmessage']));
    	if ($_POST['commentname'] == "") {
    		$autor = "Anonymous";
    	} else { 
    		$autor = htmlentities(strip_tags($_POST['commentname']), ENT_QUOTES, "UTF-8");
    	}
    	$web = strip_tags($_POST['commentweb']);
    	$webName = substr($web, 7);
		
		$html = "<div style='width:200px'>";
		$html .= "<div id='player' style='margin-bottom: 5px;'></div>";
		$html .= "<span class='windowText'>";
		$html .= $message;
		$html .= "</span>";
		if ($tempimgname != "") {
			$html .= "<br><br><a href='".$settings['url']."/upload/imaxes/".$tempimgname."' rel='lightbox[titulo]'>";
			$html .= "<img src='".$settings['url']."/upload/imaxes/".$tempimgname."' border='0' height='60'></a>";
		}
		$html .= "<br>";
		$html .= "<b class='windowBlack'>".$autor."</b>&nbsp;&nbsp;&nbsp;";
		if (strlen($webName)>4) {
			$html .= "<a class='window' target='_blank' href='".$web."'>".$webName."</a><br>";
		}
		$html .= "<br><span class='windowRight'><b>as \" + fecha.getHours() + \":\" + fecha.getMinutes() + \"";
    	$html .= " do \" + fecha.getDate() + \"-\" + fecha.getMonth() + \"-\" + (parseFloat(fecha.getYear()) + 1900) + \"</b></span><br>";
		$html .= "<br>";
		$html .= "</div>";
		
		$mapScript .= "
    // Add 1 simple markers in the map viewport. coordenadas
    var point = new GPoint(".$lat.",".$long.");
    var html = \"".$html."\";
    var son = \"".$settings['url']."/audio/".$tempfilename."\";
    var icono_categoria = conxunto_iconos[".$_POST['categorias']."];
    
    var marker = createMarker(point, html, icono_categoria, son);
    
    map.addOverlay(marker);
    marker.openInfoWindowHtml(html);
    var fo = new FlashObject(\"loudblog/custom/templates/default/preview-player-k.swf\", \"player_x\", \"31\", \"15\", \"6\", \"#FFFFFF\");
    fo.addVariable(\"url\", son);
    fo.addVariable(\"autostart\", \"1\");
    fo.write(\"player\");\n";

    }
    if (isset($_POST['commentsubmit'])) {
    	$mapScript .= "
    	// Add 1 simple markers in the map viewport. coordenadas
    	var point = new GPoint(".$_POST['lat'].",".$_POST['lonx'].");
    	var html = \"<div id='respuesta' style='width:300px'>".bla2("respuesta_envio")."<br></div>\";
    	//var icono = conxunto_iconos[".$_POST['categorias']."];
    	//var marker = createSimpleMarker(point, html, icono);
    	//map.addOverlay(marker);
    	map.openInfoWindowHtml(point, html);
    	map.setCenter(point)  	 ";
    	
    }
	//cerramos el condicional y el script
	$mapScript .= "\n} else {
    alert(\"Sorry, the Google Maps API is not compatible with this browser\");\n}\n//]]>\n</script>";
    return $mapScript;
}
//-------------------------------------
//--------------------------------------------------------------------
//  COMMENTING TAGS
//-------------------------------------------------------------------- 

//-------------------------------------

function area_comments2 ($content) {

	global $settings;
	global $currentid;
	global $postings;
	global $tempfilename;
	global $tempimgname;
	global $arrayCategorias;
	
	$tempfilename = "";
	$tempimgname = "";
	$return = "";
	$freshfile = false;
	$freshimg = false;

	//antes de amosar cousas, temos que procesar os datos do formulario ou salvar na base de datos e todo iso...

	//revisar se se subiu un novo arquivo sonoro e facer unha variable de metadatos mais directa
	if ((isset($_FILES['commentfile'])) 
    	AND ($_FILES['commentfile']['error'] == "0")) {
    	$freshfile = $_FILES['commentfile'];
	}
	//revisar se se subiu unha nova imaxe e facer unha variable de metadatos mais directa
	if ((isset($_FILES['commentimg'])) 
    	AND ($_FILES['commentimg']['error'] == "0")) {
    	$freshimg = $_FILES['commentimg'];
	}

	//Estamos simplemente previsualizando?
	if (isset($_POST['commentpreview'])) {

    	//engadir http:// as urls previsualizadas
    	if (substr($_POST['commentweb'],0,4) != "http") {
        	$_POST['commentweb'] = "http://".$_POST['commentweb'];
    	}
    	//procesamos os arquivos sonoros
    	//------------------------------
    	if (($freshfile != false)
        	AND (checksuffix($freshfile['name']))
        	AND ($freshfile['size'] <= $postings[$currentid]['comment_size']))
    	{
       		$tempfilename = freshaudioname(strrchr($freshfile['name'], "."), "temp");
       		//poemos o arquivo subido na carpeta desexada
       		move_uploaded_file($freshfile['tmp_name'], 
       			$GLOBALS['audiopath'].$tempfilename) 
       		OR die ("<p>Error!</p>");
       		//e cambiamolo chmod
       		chmod ($GLOBALS['audiopath'].$tempfilename, 0777);
    	} else {
        	//se estamos previsualizando de novo e temos que poer os arquivos suvidos anteriormente en outro preview
        	if (isset($_POST['filethrough'])) {
            	$tempfilename = $_POST['filethrough'];
        	}
        	//se o tamao e maior do permitido avisamos
        	if ($freshfile['size'] > $postings[$currentid]['comment_size']) {
        		die("<p>Sentimolo! O arquivo sonoro &eacute; demasiado grande.<p>");
        	}
    	}
    	//procesamos as imaxes
    	//--------------------
    	if (($freshimg != false)
        	AND (checkimgsuffix($freshimg['name']))
        	AND ($freshimg['size'] <=  $settings['img_size'])) 
    	{
       		$tempimgname = freshimgname(strrchr($freshimg['name'], "."), "temp");
       		//poemos o arquivo subido na carpeta desexada
       		move_uploaded_file($freshimg['tmp_name'], 
       			$GLOBALS['uploadpath']."imaxes/".$tempimgname) 
       		OR die ("<p>Error!</p>");
       		//e cambiamolo chmod
       		chmod ($GLOBALS['uploadpath']."imaxes/".$tempimgname, 0777);
    	} else {
        	//se estamos previsualizando de novo e temos que poer os arquivos suvidos anteriormente en outro preview
        	if (isset($_POST['imgthrough'])) {
            	$tempimgname = $_POST['imgthrough'];
        	}
        	//se o tamao e maior do permitido avisamos
        	if ($freshimg['size'] > $settings['img_size']) {
        		$return .= "<br>demasiado grande<br>";
        		die("<p>Sentimolo! A imaxe &eacute; demasiado grande.<p>");
        	}
    	}
    	
	}

	//Carai, estamos embiando? A cousa ponse seria!
	if (isset($_POST['commentsubmit'])) { 

    	//in dubio contra audio
    	$audioexists = false;
    	//in dubio contra imaxe
    	$imgexists = false;

		//fai un monton de cousas, se hai un arquivo sonoro subido
    	//--------------------------------------------------------
    	if (($freshfile != false)
        	AND (checksuffix($freshfile['name']))) {
        	$filename = freshaudioname (strrchr($freshfile['name'], "."), "comment"); 
    
        	//poemos o arquivo subido na carpeta desexada
        	move_uploaded_file($freshfile['tmp_name'], $GLOBALS['audiopath'].$filename) 
            	OR die ("<p>Error!</p>");
        	$audioexists = true;

    	//but we can take the previewed audio file, too...
    	} else {
        	if (isset($_POST['filethrough'])) {
            	//rename audio file and get audio meta data
            	$tempfilename = $_POST['filethrough'];
            	$filename = freshaudioname (strrchr($tempfilename, "."), "comment"); 
            	rename($GLOBALS['audiopath'].$tempfilename, $GLOBALS['audiopath'].$filename) 
                	OR die ("<p>Error!</p>");
            	$audioexists = true;
        	}
    	}
    	//fai un monton de cousas, se hai unha imaxe subida
    	//-------------------------------------------------
    	if (($freshimg != false)
            AND (checkimgsuffix($freshimg['name']))) {
        	$imgname = freshimgname (strrchr($freshimg['name'], "."), "comment"); 
    
        	//poemos o arquivo subido na carpeta desexada
        	move_uploaded_file($freshimg['tmp_name'], $GLOBALS['uploadpath']."imaxes/".$imgname) 
        	    OR die ("<p>Error!</p>");
        	$imgexists = true;

    	//but we can take the previewed audio file, too...
    	} else {
        	if (isset($_POST['imgthrough'])) {
            	//rename audio file and get audio meta data
            	$tempimgname = $_POST['imgthrough'];
            	$imgname = freshimgname (strrchr($tempimgname, "."), "comment"); 
            	rename($GLOBALS['uploadpath']."imaxes/".$tempimgname."", $GLOBALS['uploadpath']."imaxes/".$imgname) 
                	OR die ("<p>Error!</p>");
            	$imgexists = true;
        	} else {
        		$imgname = "";
        	}
    	}

    	//there is an audio file?
    	if ($audioexists) {
        	//get metadata from getid3-class
        	$id3 = getid3data($GLOBALS['audiopath'].$filename,"front");
    	} else {
        	//make empty values for audio data (cause we dont have audio data)
        	$filename = "";
        	$id3['duration'] = "0:00";
        	$id3['size'] = 0; 
    	}

    	//preparamos os datos do formulario
    	if ($_POST['commentname'] == "") { $name = "Anonymous"; } 
        else { $name = htmlentities(strip_tags($_POST['commentname']), ENT_QUOTES, "UTF-8"); }    
    	$mail = strip_tags($_POST['commentmail']);
    	$web = strip_tags($_POST['commentweb']);    
    	$ip = $_SERVER['REMOTE_ADDR'];
    	$message_input = change_entities($_POST['commentmessage']);
    	$message_html = trim(no_amp(makehtml(htmlentities($_POST['commentmessage'], ENT_QUOTES, "UTF-8"))));
    	$detalles = change_entities($_POST['detallesTecnicos']);
    	$hora_rec = $_POST['horas'].":".$_POST['cuartos'];
    	$fecha_rec = $_POST['anhos']."-".$_POST['meses']."-".$_POST['dias'];
    	$cc_licence = $_POST['commercial'] + $_POST['derivatives'];
    	
    	$datos = "";
    	for ($i=1; $i<count($arrayCategorias); $i++) {		
			if (isset($_POST["extraTag".$i])) {
      			$datos  .= change_entities($_POST["extraTag".$i])." "; 
	  		}
		}
    	$datos .= " -";
    	
    	//write data into database (doesn't matter, with or without audio)
    	$dosql = "INSERT INTO {$GLOBALS['prefix']}lb_comments
        	     (posting_id, posted, name, mail, web, ip, message_input, message_html,
        	     audio_file, audio_type, audio_length, audio_size, img_file, longitud, latitud, hora_rec, data_rec, idprovincia, idcomarca, idcategoria, licence, validado, detalles, datos_busqueda)
            	 VALUES
            	 ('".$currentid."', '".date('Y-m-d H:i:s')."', '".$name."', '".$mail."', '".$web."', '".$ip."', 
            	 '".$message_input."', '".$message_html."', '".$filename."', '".type_suffix($filename)."', 
            	 '".getseconds($id3['duration'])."', '".$id3['size']."', '".$imgname."', '".$_POST['lonx']."', '".$_POST['lat']."',
            	 '".$hora_rec."', '".$fecha_rec."', '".$_POST['provincias']."', '".$_POST['comarcas']."', '".$_POST['categorias']."', '".$cc_licence."', '1', '".$detalles."', '".$datos."');";
    	$GLOBALS['lbdata']->Execute($dosql);
    
    	//sending an email to author of the posting
    	//notify ($postings[$currentid], $name, "horaciogd@vhplab.net", $web, $message_html);

		// asunto
		$asunto = bla2("titulo_mensaxe");
		// mensaje
		$mensaje = "
		<html>
			<body style=\"font-family: Helvetica, sans-serif, Arial; font-size: 11px; vertical-align: top; text-align: left; padding-top: 0px; padding-left: 17px; padding-right: 17px; padding-bottom: 0px; border: 1px solid #1877FB; margin-left: 40px; background-color: #eee; background-image: url(".$settings['url']."/loudblog/custom/templates/".$settings['template']."/fondo01.png); background-attachment: fixed; width: 80%; margin: 20px auto 20px auto;\">
				<div align=\"center\" style=\"color: #666; background-color: #fff; opacity: .7; filter: alpha(opacity=70); line-height: 13px; letter-spacing: 0.5px; width: 80%; text-align: justify; padding: 20px; margin: 30px 30px 30px 30px; border: 1px solid #1877FB;\">
					<h1 style=\"color: #1877FB; font-size: 30px; font-family: Helvetica, sans-serif, Arial; font-weight: normal; margin-bottom: 5px; padding-top: 10px; margin-top: 0px;\"><a href=\"http://www.escoitar.org/index.php\" title=\"escoitar.org )))\">escoitar.org )))</a></h1>
					<br />
					".bla2("texto_saludo")." ".$name."<br />
					".bla2("texto_mensaje_envio")."<br />
					<br />
					".bla2("texto_coda1")."<br />
					<br />
				</div>
			</body>
		</html>";

		// Para enviar correo HTML, la cabecera Content-type debe definirse
		$cabeceras  = "MIME-Version: 1.0"."\r\n";
		$cabeceras .= "Content-type: text/html; charset=iso-8859-1\r\n";
		// Cabeceras adicionales
		$cabeceras .= "To: ".$name." <".$mail.">"."\r\n";
		$cabeceras .= "From: escoitar.org <escoitar@escoitar.org>\r\n";

		// Envio
		@mail($mail, $asunto, $mensaje, $cabeceras);
	
		$asunto = $name." ".bla("titulo_aviso");
		// Para enviar correo HTML, la cabecera Content-type debe definirse
		$cabeceras  = "MIME-Version: 1.0"."\r\n";
		$cabeceras .= "Content-type: text/html; charset=iso-8859-1\r\n";
		// Cabeceras adicionales
		$cabeceras .= "To:  escoitar.org <escoitar@escoitar.org>\r\n";
		$cabeceras .= "From: escoitar.org <escoitar@escoitar.org>\r\n";
		
		$mensaje = "
		<html>
			<body style=\"font-family: Helvetica, sans-serif, Arial; font-size: 11px; vertical-align: top; text-align: left; padding-top: 0px; padding-left: 17px; padding-right: 17px; padding-bottom: 0px; border: 1px solid #1877FB; margin-left: 40px; background-color: #eee; background-image: url(".$settings['url']."/loudblog/custom/templates/".$settings['template']."/fondo01.png); background-attachment: fixed; width: 80%; margin: 20px auto 20px auto;\">
				<div align=\"center\" style=\"color: #666; background-color: #fff; opacity: .7; filter: alpha(opacity=70); line-height: 13px; letter-spacing: 0.5px; width: 80%; text-align: justify; padding: 20px; margin: 30px 30px 30px 30px; border: 1px solid #1877FB;\">
					<h1 style=\"color: #1877FB; font-size: 30px; font-family: Helvetica, sans-serif, Arial; font-weight: normal; margin-bottom: 5px; padding-top: 10px; margin-top: 0px;\"><a href=\"http://www.escoitar.org/index.php\" title=\"escoitar.org )))\">escoitar.org )))</a></h1>
					".$message_html."
				</div>
			</body>
		</html>";
		
		// Envio
		@mail("horaciogd@vhplab.net", $asunto, $mensaje, $cabeceras);
		
		//$return .= "<div id=\"respuesta\">\n".bla2("respuesta_envio")."<br>\n</div>\n";
		
		//looking for orphaned comments
    	deleteorphans();
	}
	//submitting actions are finished. thank you for your attention.

	//do we show comments at all?
	if ((isset($_GET['id'])) AND ($postings[$currentid]['comment_on'] == 1)) {
    	$return .= "<div id=\"comments\">\n";
    	$return .= fullparse (stripcontainer($content));
    	$return .= "\n</div>";
	} else { $return .= ""; }

	return $return;
}
//-------------------------------------
//-------------------------------------
function area_makecomment2 ($content) {
//returns the form-tag with some hidden fields
global $settings;
global $currentid;
global $postings;
global $tempfilename;
global $tempimgname;

if (!isset($_POST['commentsubmit'])) {
    $return = "<form id=\"formulario\" name=\"formulario\" method=\"post\" 
               action=\"index.php?id=".$currentid."#comments\" 
               enctype=\"multipart/form-data\"  onsubmit=\"return verifica(this);\">\n";
    //Esta frase incluye el contenido de area_makecoment en el index de las templates
    if (  (isset($_POST['commentOK'])) AND ($_POST['commentOK'] != "false")  ) {
    
    $return .= "<input type=\"hidden\" name=\"commentname\" value=\"".$_POST['commentname']."\" />\n\n";
    $return .= "<input type=\"hidden\" name=\"commentmail\" value=\"".$_POST['commentmail']."\" />\n\n";
    $return .= "<input type=\"hidden\" name=\"commentweb\" value=\"".$_POST['commentweb']."\" />\n\n";
    $return .= "<input type=\"hidden\" name=\"commentmessage\" value=\"".$_POST['commentmessage']."\" />\n\n";
    $return .= "<input type=\"hidden\" name=\"commentmessage\" value=\"".$_POST['commentmessage']."\" />\n\n";
    $return .= "<input type=\"hidden\" name=\"detallesTecnicos\" value=\"".$_POST['detallesTecnicos']."\" />\n\n";
    $return .= "<input type=\"hidden\" name=\"horas\" value=\"".$_POST['horas']."\" />\n\n";
    $return .= "<input type=\"hidden\" name=\"cuartos\" value=\"".$_POST['cuartos']."\" />\n\n";
    $return .= "<input type=\"hidden\" name=\"anhos\" value=\"".$_POST['anhos']."\" />\n\n";
    $return .= "<input type=\"hidden\" name=\"meses\" value=\"".$_POST['meses']."\" />\n\n";
    $return .= "<input type=\"hidden\" name=\"dias\" value=\"".$_POST['dias']."\" />\n\n";
    $return .= "<input type=\"hidden\" name=\"commercial\" value=\"".$_POST['commercial']."\" />\n\n";
    $return .= "<input type=\"hidden\" name=\"derivatives\" value=\"".$_POST['derivatives']."\" />\n\n";
    $return .= "<input type=\"hidden\" name=\"lonx\" value=\"".$_POST['lonx']."\" />\n\n";
    $return .= "<input type=\"hidden\" name=\"lat\" value=\"".$_POST['lat']."\" />\n\n";
    $return .= "<input type=\"hidden\" name=\"provincias\" value=\"".$_POST['provincias']."\" />\n\n";
    $return .= "<input type=\"hidden\" name=\"comarcas\" value=\"".$_POST['comarcas']."\" />\n\n";
    $return .= "<input type=\"hidden\" name=\"categorias\" value=\"".$_POST['categorias']."\" />\n\n";
	$return .= buttonatras();
    $return .= buttonsend2();
    
    } else {
    	$return .= fullparse (stripcontainer($content));
    }
     //se foi subido un arquiivo sonoro para previsualizar, envia a ruta completa de acceso!
    if ((isset($_POST['filethrough'])) OR 
            ((isset($_POST['commentpreview'])) AND 
            (isset($_FILES['commentfile'])) AND
            ($_FILES['commentfile']['error'] == "0"))) {
        $return .= "<input type=\"hidden\" ";
        $return .= "name=\"filethrough\" value=\"".$tempfilename."\" />\n\n";
    }
    //se foi subida subido unha imaxe para previsualizar, envia a ruta completa de acceso!
    if ((isset($_POST['imgthrough'])) OR 
            ((isset($_POST['commentpreview'])) AND 
            (isset($_FILES['commentimg'])) AND
            ($_FILES['commentimg']['error'] == "0"))) {
        $return .= "<input type=\"hidden\" ";
        $return .= "name=\"imgthrough\" value=\"".$tempimgname."\" />\n\n";
    }
    $return .= "<input type=\"hidden\" name=\"commentOK\" value=\"false\" />\n\n";
    $return .= "</form>";
} else { $return = ""; }

return $return;
}
//-------------------------------------
//-------------------------------------
function loop_coments2 ($content) {
//show a loop of all comments of a certain posting
global $settings;
global $currentid;
global $currentcomment;
global $comments;
global $tempfilename;
global $allcomm;

$att = getattributes($content);
$number = default_at($att, 'number', 5);

$content = trim(stripcontainer($content));
$return1 = "";
$return2 = "";
$currentcomment = 0;
$audio ="";

if (isset($_GET['cat'])) {
	$condiciones = "AND idcategoria = '".getcategoryidshort($_GET['cat'])."'";
} else {
    $condiciones = "";
}

$dosql = "SELECT * FROM ".$GLOBALS['prefix']."lb_comments WHERE validado = '2'".$condiciones." ORDER BY posted DESC";
$result = $GLOBALS['lbdata']->SelectLimit($dosql,$number,0);
$comments = $result->GetArray();
if ($comments == false) { 
	$comments = array(); 
}
foreach ($comments as $thiscomment) {
   //para cada comentario gardamos a direccion do seu arquivo sonoro nunha variable
   $audioActual = "audio/" . $thiscomment['audio_file'];
   $audio .= rawurlencode($audioActual)."%2C";
   //show every comment, one by one
   if ($allcomm == "false") {
       $return2 .= "<span id=\"com".$thiscomment['id']."\"></span>";
   }
   $return2 .= fullparse($content);
   $currentcomment += 1;
}

//html-code para el flash player
$return1 .= "<div id=\"audioPlayer\" name=\"audioPlayer\">";
$return1 .= "<object type=\"application/x-shockwave-flash\" ";
$return1 .= "data=\"loudblog/custom/templates/". $settings['template'];
$return1 .= "/player.swf\" ";
$return1 .= "width=\"190\" height=\"16\">\n";
$return1 .= "<param name=\"movie\" value=\"loudblog/custom/templates/". $settings['template'];
$return1 .= "/player.swf\"/>\n";
$return1 .= "<param name=\"FlashVars\" value=\"playerID=1&amp;bg=".$settings['ap_bgcolor']."&amp;leftbg=".$settings['ap_leftbgcolor']."&amp;lefticon=".$settings['ap_lefticoncolor']."&amp;rightbg=".$settings['ap_rightbgcolor']."&amp;rightbghover=".$settings['ap_rightbghovercolor']."&amp;righticon=".$settings['ap_righticoncolor']."&amp;righticonhover=".$settings['ap_righticonhovercolor']."&amp;text=".$settings['ap_textcolor']."&amp;slider=".$settings['ap_slidercolor']."&amp;track=".$settings['ap_trackcolor']."&amp;border=".$settings['ap_bordercolor']."&amp;loader=".$settings['ap_loadercolor']."&amp;soundFile=".$audio."\" />\n";
$return1 .= "<param name=\"quality\" value=\"high\" />\n";
$return1 .= "<param name=\"menu\" value=\"false\" />\n";
$return1 .= "<param name=\"wmode\" value=\"transparent\" />\n";
$return1 .= "</object>\n";
$return1 .= "</div>";
return $return1.$return2;
}
//-------------------------------------
//-------------------------------------
function loop_procura ($content) {
	
	$return = "";
	$att = getattributes($content);
	
	if (isset($_POST['buscasonsSubmit'])) {
    	global $currentid;
		global $currentcomment;
		global $comments;
		global $tempfilename;
		global $allcomm;

		$att = getattributes($content);
		$content = trim(stripcontainer($content));
		

    	//establecemos las condiciones de la seleccion en la BD
		
		//Si esta establecido que provincia buscamos solo las entradas de la BD que con la misma idprovincia
		$condiciones = "";
		if ((isset($_POST['provincias'])) AND ($_POST['provincias'] != 0)){
			$condiciones .= "idprovincia = '".$_POST['provincias']."'";
		//Si no cualquiera cuya idprovincia sea distinto de 0
		} else {
			$condiciones .= "idprovincia != '0'";
		}
		
		//Si esta establecido que comarca buscamos solo las entradas de la BD que con la misma idcomarca
		if ((isset($_POST['comarcas'])) AND ($_POST['comarcas'] != 0)){
			$condiciones .= " AND idcomarca = '".$_POST['comarcas']."' ";
		}
		
		//Si esta establecido que categoria buscamos solo las entradas de la BD que con la misma idcategoria
		if ((isset($_POST['categorias'])) AND ($_POST['categorias'] != 0)){
			$condiciones .= " AND idcategoria = '".$_POST['categorias']."' ";
		}
		
		//Si esta establecida unha clave de busqueda y su longitud es mayor que 0, buscamos solo las entradas de la BD que tengan esa clave en message_input
		if ((isset($_POST['claveBusqueda'])) AND (strlen($_POST['claveBusqueda']) != 0)){
			$condiciones .= " AND MATCH(datos_busqueda) AGAINST('".$_POST['claveBusqueda']."')";			
		}
		
		$condiciones .= " AND validado = '2'";
		
		//getting some data from comments-table
		$dosql = "SELECT * FROM ".$GLOBALS['prefix']."lb_comments 
              	  WHERE ".$condiciones.";";          
		$result = $GLOBALS['lbdata']->Execute($dosql);
		$comments = $result->GetArray();
		if ($comments == false) { $comments = array(); }
    	if ($comments == false) {
        	$numbcom = 0;
   		 } else {
        	$numbcom = count($comments);
    	}
    	
		//show every comment, one by one
		$i = 0;
		foreach ($comments as $thiscomment) {
   			$currentcomment = $i;
   			if ($allcomm == "false") {
       			$return .= "<span id=\"com".$thiscomment['id']."\"></span>";
   			}
   			$return .= fullparse($content);
   			$i += 1;
		}
    }
    
	return trim($return);
}
//-------------------------------------
//-------------------------------------
function commentComarca () {
//devuelve la comarca del comentario
global $currentcomment;
global $comments;
global $arrayProvincias;
global $arrayComarcas;

$base = 0;
$comarca = $comments[$currentcomment]['idcomarca'];
$provincia = $comments[$currentcomment]['idprovincia'];
$return = "";


for ($i=1; $i<$provincia; $i++) {
	$base += (count($arrayComarcas[$i])-1);
}

$base2 = $comarca - $base;


$return = $arrayComarcas[$provincia][$base2]->nombre();

/* fragmento de codigo que se utilizou para amosar o contido fdas arrays de provincias e comarcas
for ($i=1; $i<count($arrayProvincias); $i++) {
	$return .= $arrayProvincias[$i]->nombre()."<br>";
	for ($u=1; $u<count($arrayComarcas[$i]); $u++) {
		$return .= $arrayComarcas[$i][$u]->nombre()." ";
	}
	$return .= "<br>";
}*/

return $return;
}
//-------------------------------------
//-------------------------------------
function cc_licence ($content) {
	//devolve a cc licencia do arquivo sonoro engadido
	global $currentcomment;
	global $comments;
	global $allcomm;
	global $settings;

	$licence = $comments[$currentcomment]['licence'];
	$return = "<!--Creative Commons License-->\n";
	$return .= "<img src=\"".$settings['url']."/loudblog/custom/templates/".$settings['template']."/attrib.gif\" border=\"0\"> ";
	switch ($licence) {
		case "4":
			$licence = "by/2.5/es/";
			$permits = "<permits rdf:resource=\"http://web.resource.org/cc/DerivativeWorks\"/>\n";
			break;
		case "5":
			$licence = "by-nc/2.5/es/";
			$return .= "<img src=\"".$settings['url']."/loudblog/custom/templates/".$settings['template']."/nc.gif\" border=\"0\"> ";
			$permits = "<prohibits rdf:resource=\"http://web.resource.org/cc/CommercialUse\"/>\n";
			$permits .= "<permits rdf:resource=\"http://web.resource.org/cc/DerivativeWorks\"/>\n";
			break;
		case "6":
			$licence = "by-sa/2.5/es/";
			$return .= "<img src=\"".$settings['url']."/loudblog/custom/templates/".$settings['template']."/sa.gif\" border=\"0\"> ";
			$permits = "<permits rdf:resource=\"http://web.resource.org/cc/DerivativeWorks\"/>\n";
			$permits .= "<requires rdf:resource=\"http://web.resource.org/cc/ShareAlike\"/>\n";
			break;
		case "7":
			$licence = "by-nc-sa/2.5/es/";
			$return .= "<img src=\"".$settings['url']."/loudblog/custom/templates/".$settings['template']."/nc.gif\" border=\"0\"> ";
			$return .= "<img src=\"".$settings['url']."/loudblog/custom/templates/".$settings['template']."/sa.gif\" border=\"0\"> ";
			$permits = "<prohibits rdf:resource=\"http://web.resource.org/cc/CommercialUse\"/>\n";
			$permits .= "<permits rdf:resource=\"http://web.resource.org/cc/DerivativeWorks\"/>\n";
			$permits .= "<requires rdf:resource=\"http://web.resource.org/cc/ShareAlike\"/>\n";
			break;
		case "8":
			$licence = "by-nd/2.5/es/";
			$return .= "<img src=\"".$settings['url']."/loudblog/custom/templates/".$settings['template']."/nd.gif\" border=\"0\"> ";
			$permits = "";
			break;
		case "9":
			$licence = "by-nc-nd/2.5/es/";
			$return .= "<img src=\"".$settings['url']."/loudblog/custom/templates/".$settings['template']."/nc.gif\" border=\"0\"> ";
			$return .= "<img src=\"".$settings['url']."/loudblog/custom/templates/".$settings['template']."/nd.gif\" border=\"0\"> ";
			$permits = "<prohibits rdf:resource=\"http://web.resource.org/cc/CommercialUse\"/>\n";
			break;
	}

	$return .= "<a rel=\"license\" href=\"http://creativecommons.org/licenses/".$licence."\">";
	$return .= "<img alt=\"Creative Commons License\" border=\"0\" src=\"".$settings['url']."/loudblog/custom/templates/".$settings['template']."/somerights20.png\"/></a><br/>\n";
	$return .= "Esta obra est&#225; bajo una <a rel=\"license\" href=\"http://creativecommons.org/licenses/".$licence."\">licencia de Creative Commons</a>.\n";
	
	$return .= "<!--/Creative Commons License-->\n";
	
	$return .= "<!-- <rdf:RDF xmlns=\"http://web.resource.org/cc/\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n";
	
	$return .= "<Work rdf:about=\"\">\n";
	$return .= "<license rdf:resource=\"http://creativecommons.org/".$licence."\" />\n";
	$return .= "<dc:type rdf:resource=\"http://purl.org/dc/dcmitype/Sound\" />\n";
	$return .= "</Work>\n";
	
	$return .= "<License rdf:about=\"http://creativecommons.org/licenses/".$licence."\">\n";
	$return .= $permits;
	$return .= "</License>\n";

	$return .= "</rdf:RDF>\n";
	$return .= "-->";


	return $return;
}
//-------------------------------------
//-------------------------------------
function comment_img ($content) {
	//generates the permalink for the current comment
	global $settings;
	global $comments;
	global $currentcomment;
	$return = "";
	if ($comments[$currentcomment]['img_file']!="") {
		$return =  "<a href='".$settings['url']."upload/imaxes/".$comments[$currentcomment]['img_file']."'";
		$return .=  "rel='lightbox[example]'><img src='".$settings['url']."upload/imaxes/mini_".$comments[$currentcomment]['img_file']."'";
		$return .=  "border='0' height='60'></a>\n";
	}
	return $return;
}
//-------------------------------------
//-------------------------------------
function comment_campo ($content) {
	//returns the message on the comments list
	global $currentcomment;
	global $comments;
	$att = getattributes($content);
	
	if (isset($att['length'])) {
		if (isset($att['coda'])) {
    		$coda = $att['coda'];
		} else { 
			$coda = "";
		}
    	return substr(strip_tags($comments[$currentcomment][$att['campo']]),0,$att['length']).$coda;
	} else { 
		return $comments[$currentcomment][$att['campo']];
	}
 	
}
//-------------------------------------
//-------------------------------------
function link_map ($content) {
	//generates the permalink for the current comment
	global $settings;
	global $comments;
	global $currentcomment;
	$return =  "<a href=\"javascript:myclick(".$comments[$currentcomment]['id'].")\">";
	$return .= fullparse (stripcontainer ($content));
	$return .= "</a>\n"; 
	return $return;
}
//-------------------------------------
//-------------------------------------
//--------------------------------------------------------------------
//  DB tags
//-------------------------------------------------------------------- 

//-------------------------------------

function countvalidados ($request) {
//count rows of a certain table in database

$dosql = "SELECT COUNT(*) FROM ".$GLOBALS['prefix'].$request."WERE validado = 1";
$row = $GLOBALS['lbdata']->GetArray($dosql);
return $row[0]['COUNT(*)'];
}

// ----------------------------------------------------------------

function notify2 ($posting, $name, $mail, $web, $message) {
//send an email when receiving a fresh comment

global $settings;

if (empty($mail)) { $mail = "no mail address"; }
if (empty($web)) { $web = "no web address"; }

$authorid = $posting['author_id'];

$to = getfullname($authorid)." <".getmail($authorid).">";
$subject = "New comment on '".$settings['sitename']."'";

$name = entities_to_chars($name);
$mail = entities_to_chars($mail);
$web = entities_to_chars($web);

$body = $name." has left a comment for '".$posting['title']."'\n";
$body .= $settings['url']."/index.php?id=".$posting['id']."\n\n";
$body .= entities_to_chars(strip_tags($message))."\n\n";
$body .= "Name: ".$name;
if (!empty($mail)) { $body .= " / eMail: ".$mail; $showmail = $mail; }
    else { $showmail = getmail($authorid); }
if ($web != "http://") { $body .= " / Web: ".$web; }

//killing komma and semikolon
$name = str_replace(","," ",$name);
$name = str_replace(";"," ",$name);

$headers = "From: ".$name." <".$showmail.">\r\n";

mail($to, $subject, $body, $headers);
}

// ----------------------------------------------------------------

//--------------------------------------------------------------------
//  CONDITIONAL TAGS (THOSE WITH "IF")
//-------------------------------------------------------------------- 
//-------------------------------------
function if_id ($content) {
	//parse content only if a (certain) category or no category is being shown

	$att = getattributes($content);
	$return = "";

	//checking the url for a category list request
	if ((isset($_GET['id'])) && ($_GET['id']==$att['identificador'])) {
        $return = fullparse (stripcontainer($content));
    }
return trim($return);
}
//-------------------------------------
function if_com ($content) {
	//parse content only if a (certain) category or no category is being shown
	$return = "";
	//checking the url for a category list request
	if (isset($_GET['com'])) {
        $return = fullparse (stripcontainer($content));
    }
	return trim($return);
}
//-------------------------------------
function dame_id ($content) {
	$att = getattributes($content);
	$return = "";
	if (isset($_GET['id'])) {
        $return = $_GET['id'];
    }
    return trim($return);
}
//-------------------------------------
//-------------------------------------
function comment_preview ($content) {
	//show a loop of all comments of a certain posting
	global $currentid;
	global $currentcomment;
	global $comments;
	global $tempfilename;
	global $allcomm;
	
	$content = trim(stripcontainer($content));
	$return = "";
	$numbcom = 0;
   	
    //only here for previewing?
    if (isset($_POST['commentpreview'])) {

        if ($tempfilename != "") {
            $id3 = getid3data($GLOBALS['audiopath'].$tempfilename,"front");
            $tempfilesize = $id3['size'];
            $tempfilelength = getseconds($id3['duration']);
        } else {
            $tempfilesize = "0";
            $tempfilelength = "0";
        }

        $comments[$numbcom]['id'] = 0;
        $comments[$numbcom]['posting_id'] = $currentid;
        $comments[$numbcom]['posted'] = date('Y-m-d H:i:s');
        if ($_POST['commentname'] == "") {
            $comments[$numbcom]['name'] = "Anonymus";
        } else {
            $comments[$numbcom]['name'] =
            htmlentities(strip_tags($_POST['commentname']),
            ENT_QUOTES, "UTF-8");
        }
        $comments[$numbcom]['mail'] = strip_tags($_POST['commentmail']);
        $comments[$numbcom]['web'] = strip_tags($_POST['commentweb']);

        $comments[$numbcom]['ip'] = $_SERVER['REMOTE_ADDR'];
        $comments[$numbcom]['message_input'] = $_POST['commentmessage'];
        $comments[$numbcom]['message_html'] =
            "<p>[PREVIEW]</p> " . no_amp(makehtml(htmlentities($_POST['commentmessage'], ENT_QUOTES, "UTF-8")));
        $comments[$numbcom]['audio_file'] = $tempfilename;
        $comments[$numbcom]['audio_size'] = $tempfilesize;
        $comments[$numbcom]['audio_length'] = $tempfilelength;
        $comments[$numbcom]['audio_type'] = type_suffix($tempfilename);
   
		//show every comment, one by one
		$i = 0;
		foreach ($comments as $thiscomment) {
   			$currentcomment = $i;
   			if ($allcomm == "false") {
       			$return .= "<span id=\"com".$thiscomment['id']."\"></span>";
   			}
   			$return .= fullparse($content);
   			$i += 1;
		}
	}
	return $return;
}
//-------------------------------------
//-------------------------------------
function if_notid ($content) {
	//parse content only if a (certain) category or no category is being shown

	$att = getattributes($content);
	$return = "";

	//checking the url for a category list request
	if ((isset($_GET['id'])) && ($_GET['id']==$att['identificador'])) {
        $return = "";
    } else {
    	$return = fullparse (stripcontainer($content));
    }
return trim($return);
}
//-------------------------------------
//--------------------------------------------------------------------
//  LANGUAGE TAGS
//-------------------------------------------------------------------- 
//-------------------------------------
function bla2 ($content) {
	global $traduccion;
	$att = getattributes($content);
	if (isset($att['texto'])) { 
		if (isset($traduccion[$att['texto']])) { 
			return $traduccion[$att['texto']]; 
		} else { 
			return $att['texto'];
		}
	} else {
		if (isset($traduccion[$content])) { 
			return $traduccion[$content]; 
		} else { 
			return $content;
		}
	}
}
//-------------------------------------
//--------------------------------------------------------------------
//  OPTIMIZATION TAGS
//-------------------------------------------------------------------- 
//-------------------------------------
/*comprueba si se ha definido un determinado atributo de una etiqueta y 
  devuelve el valor por defecto si no es asi*/
function default_at($atributos, $nombre, $valor) {
	if (!isset($atributos[$nombre])) {
        return  $valor;
    } else {
        return $atributos[$nombre];
    }
}
//-------------------------------------
?>